Please read the following instructions carefully.

Check out https://github.com/ParsePlatform/parse-server/issues/1271 for an ideal bug report. 
The closer your issue report is to that one, the more likely we are to be able to help, and the more likely we will be to fix the issue quickly!

Many members of the community use Stack Overflow and Server Fault to ask questions. 
Read through the existing questions or ask your own!
- Stack Overflow: http://stackoverflow.com/questions/tagged/parse.com 
- Server Fault: https://serverfault.com/tags/parse

For database migration help, please file a bug report at https://parse.com/help#report

Make sure these boxes are checked before submitting your issue -- thanks for reporting issues back to Parse Server!

- [ ] You've met the prerequisites: https://github.com/ParsePlatform/parse-server/wiki/Parse-Server-Guide#prerequisites.

- [ ] You're running the latest version of Parse Server: https://github.com/ParsePlatform/parse-server/releases

- [ ] You've searched through existing issues: https://github.com/ParsePlatform/Parse-Server/issues?utf8=%E2%9C%93&q=is%3Aissue Chances are that your issue has been reported or resolved before.

- [ ] You have filled out every section below. Issues without sufficient information are more likely to be closed.

--

### Issue Description

[DELETE EVERYTHING ABOVE THIS LINE BEFORE SUBMITTING YOUR ISSUE]

Describe your issue in as much detail as possible.

[FILL THIS OUT]

### Steps to reproduce

Please include a detailed list of steps that reproduce the issue. Include curl commands when applicable.

1. [FILL THIS OUT]
2. [FILL THIS OUT]
3. [FILL THIS OUT]

#### Expected Results

[FILL THIS OUT]

#### Actual Outcome

[FILL THIS OUT]

### Environment Setup

- **Server**
  - parse-server version (Be specific! Don't say 'latest'.) : [FILL THIS OUT]
  - Operating System:     [FILL THIS OUT]
  - Hardware:             [FILL THIS OUT]
  - Localhost or remote server? (AWS, Heroku, Azure, Digital Ocean, etc): [FILL THIS OUT]

- **Database**
  - MongoDB version: [FILL THIS OUT]
  - Storage engine:  [FILL THIS OUT]
  - Hardware:        [FILL THIS OUT]
  - Localhost or remote server? (AWS, mLab, ObjectRocket, Digital Ocean, etc): [FILL THIS OUT]

### Logs/Trace

You can turn on additional logging by configuring VERBOSE=1 in your environment.

[FILL THIS OUT]
